Subject: bug#44491: Support GUIX_DISABLE_NETWORK_TESTS environment variable

From: Ludovic Courtès <[email-masked]>
Date: Tue, 10 Nov 2020 22:26:49 +0100

Vagrant Cascadian <[email-masked]> skribis:

> On 2020-11-08, Ludovic Courtès wrote:
>> Vagrant Cascadian <[email-masked]> skribis:
>>
>>> If this could be considered for the upcoming 1.2 release, that would be
>>> appreciated, though I can also carry the patches in Debian...
>>
>> Yay!  It should be doable, let’s see.
>
> It seems like a simpler workaround is to pass RES_OPTIONS=attempts:0,
> which should disable name resolution, and thus the network checks will
> fail.
>
> With the RES_OPTIONS workaround, the changes to guix/tests.scm
> network-reachable are no longer needed ... i think. :)

Oooh nice, the wonders of glibc!

> Might still be worth refactoring some of *.sh tests to use common
> functions, since the code is basically copied and pasted in several
> different places.

Yes, that’s still a good idea.  Would you like to adjust your patch
accordingly?

> I suspect there are some additional tests that should check for network,
> but that is probably a separate bug once they have been identified.

OK!

Thanks,
Ludo’.